# Poco

# class IllegalStateException

Library: Foundation
Package: Core
Header: Poco/Exception.h

## Inheritance

Direct Base Classes: LogicException

All Base Classes: Exception, LogicException, std::exception

## Member Summary

Member Functions: className, clone, name, operator =, rethrow

Inherited Functions: className, clone, code, displayText, extendedMessage, message, name, nested, operator =, rethrow, what

## Constructors

### IllegalStateException

IllegalStateException(
int code = 0
);

### IllegalStateException

IllegalStateException(
const IllegalStateException & exc
);

### IllegalStateException

IllegalStateException(
const std::string & msg,
int code = 0
);

### IllegalStateException

IllegalStateException(
const std::string & msg,
const std::string & arg,
int code = 0
);

### IllegalStateException

IllegalStateException(
const std::string & msg,
const Poco::Exception & exc,
int code = 0
);

## Destructor

### ~IllegalStateException

~IllegalStateException();

## Member Functions

### className

const char * className() const;

See also: Poco::LogicException::className()

### clone

Poco::Exception * clone() const;

### name

const char * name() const;

See also: Poco::LogicException::name()

### operator =

IllegalStateException & operator = (
const IllegalStateException & exc
);

### rethrow

void rethrow() const;

See also: Poco::LogicException::rethrow()